Create
const url = 'https://app.civillo.com/api/v1/example/projects/1/groups';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"name":"My group","color":"#6200EE","hidden":false,"isWorkOrderAssignable":true,"managedByRole":false,"roles":[1,4,16],"created":"2026-04-15T12:00:00Z"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://app.civillo.com/api/v1/example/projects/1/groups \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "name": "My group", "color": "#6200EE", "hidden": false, "isWorkOrderAssignable": true, "managedByRole": false, "roles": [ 1, 4, 16 ], "created": "2026-04-15T12:00:00Z" }'Create a new group.
For the roles property, group roles are represented by the following integers:
- 1: Permits
- 2: Layer creation and editing
- 4: Layer directory structure
- 8: User management
- 16: Point of interest editing
- 32: Group management
- 64: Permits overview and management
- 128: Point of interest bulk upload and export
- 256: Chainage alignment management
- 512: Work order management
- 1024: Tag management
- 2048: Layer source downloads
- 4096: Document downloads
Authorizations
Section titled “Authorizations”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters”The organization nickname
The project id
Request Bodyrequired
Section titled “Request Bodyrequired”Properties that define the new group
object
Deprecated as of 6 October 2026. Any requests with this as true will return 400 Bad Request.
Example
falseDeprecated as of 6 October 2026. Any requests with this as true will return 400 Bad Request.
Example
falseThe name of this group.
Example
My groupThe color this group is displayed with.
Example
#6200EEIf true, the group will not be displayed next to users’ names.
Example
falseIf true, allow work orders to be assigned to this group.
Example
trueIf set to true, non-admins with the GroupManagement group role will be able to see and manage this group via the admin group management page.
Note that selecting this option and adding a role to this group will result in such non-admins being able to add any other project users to this group, hereby granting them this role.
Ensure you are aware of these permissions implications before configuring this group as such.
Example
falseArray of integer-enumerated group roles to be assigned to the group (see Create endpoint description).
Example
[ 1, 4, 16]The time at which the group was created.
Responses
Section titled “ Responses ”Successful response
object
The unique identifier for this group.
Group users will be restricted to viewing points of interest with these tags.
The name of this group.
The color this group is displayed with.
If true, the group will not be displayed next to users’ names.
If true, allow work orders to be assigned to this group.
If set to true, non-admins with the GroupManagement group role will be able to see and manage this group via the admin group management page.
Note that selecting this option and adding a role to this group will result in such non-admins being able to add any other project users to this group, hereby granting them this role.
Ensure you are aware of these permissions implications before configuring this group as such.
Array of integer-enumerated group roles to be assigned to the group (see Create endpoint description).
The time at which the group was created.
Example
{ "name": "My group", "color": "#6200EE", "hidden": false, "isWorkOrderAssignable": true, "managedByRole": false, "roles": [ 1, 4, 16 ]}Bad Request
Unauthorized
Forbidden